from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _


class BlogConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "engine.blog"
    verbose_name = _("blog")

    # noinspection PyUnresolvedReferences
    def ready(self) -> None:
        import engine.blog.elasticsearch.documents  # noqa: F401
        import engine.blog.signals  # noqa: F401
